package com.emato.cus.supervise.biz;

/**
 * 扫描时间
 * @author Scott Chen
 * @version 1.0
 * 2017-10-31 11:56
 */
public interface RecordTime {
    /**
     * 获取扫描时间
     * @return
     */
    String getEmtRecordTime();

    /**
     * 更新记录时间
     *
     * @param thisTime 当前时间作为下次扫描时间
     * @param lastTime 本次扫描时间成为上次扫描时间
     * @return
     */
    boolean updateWmsRecordTime(String thisTime, String lastTime);
}
