package com.emato.cus.supervise.constant;

/**
 * @author Scott Chen
 * @version 1.0
 * 2017-10-28 11:54
 */
public enum EmtRecordTimeEnum {
    I_ACQ_INVENTORY_INFO("ACQ_INVENTORY_INFO", "企业库存信息"),
    ACQ_SHELF_LOAD("ACQ_SHELF_LOAD", "企业货物上下架信息:上架"),
    ACQ_SHELF_LOAD_DOWN("ACQ_SHELF_LOAD_DOWN", "企业货物上下架信息:下架"),
    ACQ_GOODS_MOVE_UP("ACQ_GOODS_MOVE_UP", "企业货物在仓库的移动信息:上架"),
    ACQ_GOODS_MOVE_DOWN("ACQ_GOODS_MOVE_DOWN", "企业货物在仓库的移动信息:下架")
    ;

    private String code;
    private String name;

    EmtRecordTimeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
