package com.emato.cus.supervise.domainCus;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 货物库位移动数据 WMS
 *
 * @author Scott Chen
 * @version 1.0
 * 2017-10-31 13:41
 */
public class CusAcqGoodsMove05 implements Serializable {

    private static final long serialVersionUID = 1427472942297944139L;

    private String id;

    private LocalDateTime shelfLoadTime;
    private LocalDateTime shelfUnloadTime;
    private String targetSeatNo;
    private String originSeatNo;

    private String goodsName;
    private String codeTs;
    private String skuNo;
    private String goodsId;

    private String gUnit;
    private Double gQty;
    private String legalUnit;
    private Double legalQty;

    private String goodsModel;
    private String localEmsNo;

    private String storeCompanyName;
    private String storeUscCode;
    private String storeCustomsCode;
    private String storeCode;

    private String createrSn;
    private LocalDateTime createTime;
    private String moderSn;
    private LocalDateTime modTime;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public LocalDateTime getShelfLoadTime() {
        return shelfLoadTime;
    }

    public void setShelfLoadTime(LocalDateTime shelfLoadTime) {
        this.shelfLoadTime = shelfLoadTime;
    }

    public LocalDateTime getShelfUnloadTime() {
        return shelfUnloadTime;
    }

    public void setShelfUnloadTime(LocalDateTime shelfUnloadTime) {
        this.shelfUnloadTime = shelfUnloadTime;
    }

    public String getTargetSeatNo() {
        return targetSeatNo;
    }

    public void setTargetSeatNo(String targetSeatNo) {
        this.targetSeatNo = targetSeatNo;
    }

    public String getOriginSeatNo() {
        return originSeatNo;
    }

    public void setOriginSeatNo(String originSeatNo) {
        this.originSeatNo = originSeatNo;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getCodeTs() {
        return codeTs;
    }

    public void setCodeTs(String codeTs) {
        this.codeTs = codeTs;
    }

    public String getSkuNo() {
        return skuNo;
    }

    public void setSkuNo(String skuNo) {
        this.skuNo = skuNo;
    }

    public String getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }

    public String getgUnit() {
        return gUnit;
    }

    public void setgUnit(String gUnit) {
        this.gUnit = gUnit;
    }

    public Double getgQty() {
        return gQty;
    }

    public void setgQty(Double gQty) {
        this.gQty = gQty;
    }

    public String getLegalUnit() {
        return legalUnit;
    }

    public void setLegalUnit(String legalUnit) {
        this.legalUnit = legalUnit;
    }

    public Double getLegalQty() {
        return legalQty;
    }

    public void setLegalQty(Double legalQty) {
        this.legalQty = legalQty;
    }

    public String getGoodsModel() {
        return goodsModel;
    }

    public void setGoodsModel(String goodsModel) {
        this.goodsModel = goodsModel;
    }

    public String getLocalEmsNo() {
        return localEmsNo;
    }

    public void setLocalEmsNo(String localEmsNo) {
        this.localEmsNo = localEmsNo;
    }

    public String getStoreCompanyName() {
        return storeCompanyName;
    }

    public void setStoreCompanyName(String storeCompanyName) {
        this.storeCompanyName = storeCompanyName;
    }

    public String getStoreUscCode() {
        return storeUscCode;
    }

    public void setStoreUscCode(String storeUscCode) {
        this.storeUscCode = storeUscCode;
    }

    public String getStoreCustomsCode() {
        return storeCustomsCode;
    }

    public void setStoreCustomsCode(String storeCustomsCode) {
        this.storeCustomsCode = storeCustomsCode;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public String getCreaterSn() {
        return createrSn;
    }

    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public String getModerSn() {
        return moderSn;
    }

    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    public LocalDateTime getModTime() {
        return modTime;
    }

    public void setModTime(LocalDateTime modTime) {
        this.modTime = modTime;
    }

}
