package com.emato.cus.supervise.domainOms;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 货物库存数据 OMS
 *
 * @author Scott Chen
 * @version 1.0
 * 2017-10-28 15:24
 */
public class OmsAcqInventoryInfo implements Serializable {

    private static final long serialVersionUID = 6083001599825316607L;
    //商户编码
    private String merchSn;
    //货主企业海关编码
    private String ownerCode;
    //货主企业名称
    private String ownerName;

    public String getMerchSn() {
        return merchSn;
    }

    public void setMerchSn(String merchSn) {
        this.merchSn = merchSn;
    }

    public String getOwnerCode() {
        return ownerCode;
    }

    public void setOwnerCode(String ownerCode) {
        this.ownerCode = ownerCode;
    }

    public String getOwnerName() {
        return ownerName;
    }

    public void setOwnerName(String ownerName) {
        this.ownerName = ownerName;
    }
}
