package com.emato.cus.supervise.msg;

/**
 * Message消息代码定义
 *
 * 可以根据业务不同进行拆分, 对不同业务功能定义不同消息代码
 *
 * @author Scott Chen
 * @date 2017/3/9
 */
public enum Messages {

    I_0("0", "成功"),
    I_MINUS_1("-1", "失败"),
    I_100000("100000", "非法请求");

    public String CODE;
    public String MSG;

    Messages(String code, String msg) {
        this.CODE = code;
        this.MSG = msg;
    }

}
