package com.emato.cus.supervise.service.cus.impl;

import com.emato.cus.supervise.domainCus.CusAcqGoodsMove05;
import com.emato.cus.supervise.mapperCus.CusAcqGoodsMoveMapper05;
import com.emato.cus.supervise.service.cus.CusAcqGoodsMoveService05;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 货物库位移动数据 CUS
 *
 * @author Scott Chen
 * @version 1.0
 * 2017-10-28 17:15
 */
@Service
public class CusAcqGoodsMoveServiceImpl05 implements CusAcqGoodsMoveService05 {

    @Autowired
    CusAcqGoodsMoveMapper05 cusAcqGoodsMoveMapper05;

    @Override
    @Transactional(value ="secondTransactionManager")
    public int addCusAcqGoodsMove05(List<CusAcqGoodsMove05> list) {
        return cusAcqGoodsMoveMapper05.addCusAcqGoodsMove05(list);
    }
}
