package com.emato.cus.supervise.service.cus.impl;

import com.emato.cus.supervise.domainCus.CusAcqInventoryInfo03;
import com.emato.cus.supervise.mapperCus.CusAcqInventoryInfoMapper03;
import com.emato.cus.supervise.service.cus.CusAcqInventoryInfoService03;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 货物库存数据 CUS
 *
 * @author Scott Chen
 * @version 1.0
 * 2017-10-28 17:15
 */
@Service
public class CusAcqInventoryInfoServiceImpl03 implements CusAcqInventoryInfoService03 {

    @Autowired
    CusAcqInventoryInfoMapper03 cusAcqInventoryInfoMapper03;

    @Override
    @Transactional(value ="secondTransactionManager")
    public int addCusAcqInventoryInfo(List<CusAcqInventoryInfo03> list) {
        return cusAcqInventoryInfoMapper03.addAcqInventoryInfo03(list);
    }
}
