package com.emato.cus.supervise.service.wms.impl;

import com.emato.cus.supervise.domain.WmsAcqShelfLoad;
import com.emato.cus.supervise.mapper.WmsAcqShelfLoadMapper;
import com.emato.cus.supervise.service.wms.WmsAcqShelfLoadService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * 货物上下架数据 WMS
 *
 * @author Scott Chen
 * @version 1.0
 * 2017-10-28 16:30
 */
@Service
public class WmsAcqShelfLoadServiceImpl implements WmsAcqShelfLoadService {

    @Autowired
    private WmsAcqShelfLoadMapper wmsAcqShelfLoadMapper;

    @Override
    @Transactional(value ="primaryTransactionManager")
    public List<WmsAcqShelfLoad> getWmsAcqShelfLoadUp(Map<String, Object> param) {
        return wmsAcqShelfLoadMapper.getWmsAcqShelfLoadUp(param);
    }

    /**
     * 货物上下架数据 上架
     *
     * @param param
     * @return
     */
    @Override
    @Transactional(value ="primaryTransactionManager")
    public List<WmsAcqShelfLoad> getWmsAcqShelfLoadDown(Map<String, Object> param) {
        return wmsAcqShelfLoadMapper.getWmsAcqShelfLoadDown(param);
    }


}
