package com.emato.cus.supervise.domainCus;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 货物库存数据 CUS
 *
 * @author Scott Chen
 * @version 1.0
 * 2017-10-28 15:24
 */
public class CusAcqInventoryInfo03 implements Serializable {
    private static final long serialVersionUID = -1786218576323478234L;

    private String id;
    private String goodsName;
    private String codeTs;
    private String skuNo;
    private String goodsId;

    private String gUnit;
    private Double gQty;
    private String legalUnit;
    private Double legalQty;

    private String goodsModel;
    private String localEmsNo;
    private String ownerCode;
    private String ownerName;

    private String storeCompanyName;
    private String storeUscCode;
    private String storeCustomsCode;
    private String storeCode;

    private String createrSn;
    private LocalDateTime createTime;
    private String moderSn;
    private LocalDateTime modTime;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getCodeTs() {
        return codeTs;
    }

    public void setCodeTs(String codeTs) {
        this.codeTs = codeTs;
    }

    public String getSkuNo() {
        return skuNo;
    }

    public void setSkuNo(String skuNo) {
        this.skuNo = skuNo;
    }

    public String getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }

    public String getGUnit() {
        return gUnit;
    }

    public void setGUnit(String gUnit) {
        this.gUnit = gUnit;
    }

    public Double getgQty() {
        return gQty;
    }

    public void setgQty(Double gQty) {
        this.gQty = gQty;
    }

    public String getLegalUnit() {
        return legalUnit;
    }

    public void setLegalUnit(String legalUnit) {
        this.legalUnit = legalUnit;
    }

    public Double getLegalQty() {
        return legalQty;
    }

    public void setLegalQty(Double legalQty) {
        this.legalQty = legalQty;
    }

    public String getGoodsModel() {
        return goodsModel;
    }

    public void setGoodsModel(String goodsModel) {
        this.goodsModel = goodsModel;
    }

    public String getLocalEmsNo() {
        return localEmsNo;
    }

    public void setLocalEmsNo(String localEmsNo) {
        this.localEmsNo = localEmsNo;
    }

    public String getOwnerCode() {
        return ownerCode;
    }

    public void setOwnerCode(String ownerCode) {
        this.ownerCode = ownerCode;
    }

    public String getOwnerName() {
        return ownerName;
    }

    public void setOwnerName(String ownerName) {
        this.ownerName = ownerName;
    }

    public String getStoreCompanyName() {
        return storeCompanyName;
    }

    public void setStoreCompanyName(String storeCompanyName) {
        this.storeCompanyName = storeCompanyName;
    }

    public String getStoreUscCode() {
        return storeUscCode;
    }

    public void setStoreUscCode(String storeUscCode) {
        this.storeUscCode = storeUscCode;
    }

    public String getStoreCustomsCode() {
        return storeCustomsCode;
    }

    public void setStoreCustomsCode(String storeCustomsCode) {
        this.storeCustomsCode = storeCustomsCode;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public String getCreaterSn() {
        return createrSn;
    }

    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public String getModerSn() {
        return moderSn;
    }

    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    public LocalDateTime getModTime() {
        return modTime;
    }

    public void setModTime(LocalDateTime modTime) {
        this.modTime = modTime;
    }
}
