package com.emato.cus.supervise.service.cus.impl;

import com.emato.cus.supervise.domainCus.CusAcqGoodsSeat06;
import com.emato.cus.supervise.mapperCus.CusAcqGoodsSeatMapper06;
import com.emato.cus.supervise.service.cus.CusAcqGoodsSeatService06;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 库位货物数据 CUS
 *
 * @author Scott Chen
 * @version 1.0
 * 2017-10-28 17:15
 */
@Service
public class CusAcqGoodsMoveSeatServiceImpl06 implements CusAcqGoodsSeatService06 {

    @Autowired
    CusAcqGoodsSeatMapper06 cusAcqGoodsSeatMapper06;

    @Override
    @Transactional(value ="secondTransactionManager")
    public int addCusAcqGoodsSeat06(List<CusAcqGoodsSeat06> list) {
        return cusAcqGoodsSeatMapper06.addCusAcqGoodsSeat06(list);
    }
}
