package com.emato.cus.supervise.service.cus.impl;

import com.emato.cus.supervise.domainCus.CusAcqShelfLoad04;
import com.emato.cus.supervise.mapperCus.CusAcqShelfLoadMapper04;
import com.emato.cus.supervise.service.cus.CusAcqShelfLoadService04;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 货物上下架数据 CUS
 *
 * @author Scott Chen
 * @version 1.0
 * 2017-10-28 17:15
 */
@Service
public class CusAcqShelfLoadServiceImpl04 implements CusAcqShelfLoadService04 {

    @Autowired
    CusAcqShelfLoadMapper04 cusAcqShelfLoadMapper04;

    @Override
    @Transactional(value ="secondTransactionManager")
    public int addCusAcqShelfLoad04(List<CusAcqShelfLoad04> list) {
        return cusAcqShelfLoadMapper04.addCusAcqShelfLoad04(list);
    }
}
