package com.emato.cus.supervise.service.cus.impl;

import com.emato.cus.supervise.domainCus.EmtRecordTime;
import com.emato.cus.supervise.mapperCus.EmtRecordTimeMapper;
import com.emato.cus.supervise.service.cus.EmtRecordTimeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * 扫描时间
 * @author Scott Chen
 * @version 1.0
 * 2017-10-28 10:23
 */
@Service
public class EmtRecordTimeServiceImpl implements EmtRecordTimeService {

    @Autowired
    private EmtRecordTimeMapper emtRecordTimeMapper;

    @Override
    @Transactional(value ="secondTransactionManager")
    public List<EmtRecordTime> selectEmtRecordTime(Map<String, Object> param) {
        return emtRecordTimeMapper.selectEmtRecordTime(param);
    }

    @Override
    @Transactional(value ="secondTransactionManager")
    public int updateEmtRecordTime(Map<String, Object> param) {
        return emtRecordTimeMapper.updateEmtRecordTime(param);
    }
}
