package com.emato.cus.supervise.service.wms.impl;

import com.emato.cus.supervise.domainOms.OmsAcqInventoryInfo;
import com.emato.cus.supervise.mapperOms.OmsAcqInventoryInfoMapper;
import com.emato.cus.supervise.service.wms.OmsAcqInventoryInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @author zengjunlin
 * @version 1.0
 * 2018-02-02 17:42
 */
@Service
public class OmsAcqInventoryInfoServiceImpl implements OmsAcqInventoryInfoService{

    @Autowired
    private OmsAcqInventoryInfoMapper omsAcqInventoryInfoMapper;


    /**
     * 货物库存数据
     *
     * @param merchSnList 商户编码
     * @return
     */
    @Override
    @Transactional(value = "thirdTransactionManager")
    public List<OmsAcqInventoryInfo> getOmsAcqInventoryInfoList(List<String> merchSnList) {
        return omsAcqInventoryInfoMapper.getOmsAcqInventoryInfoList(merchSnList);
    }
}
