package com.emato.cus.supervise.service.wms.impl;

import com.emato.cus.supervise.domain.WmsAcqGoodsMove;
import com.emato.cus.supervise.mapper.WmsAcqGoodsMoveMapper;
import com.emato.cus.supervise.service.wms.WmsAcqGoodsMoveService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * @author zengjunlin
 * @version 1.0
 * 2018-02-03 15:34
 */
@Service
public class WmsAcqGoodsMoveServiceImpl implements WmsAcqGoodsMoveService {

    @Autowired
    private WmsAcqGoodsMoveMapper wmsAcqGoodsMoveMapper;

    /**
     * 货物库位移动数据
     *
     * @param param
     * @return
     */
    @Override
    @Transactional(value ="primaryTransactionManager")
    public List<WmsAcqGoodsMove> getWmsAcqGoodsMoveUp(Map<String, Object> param) {
        return wmsAcqGoodsMoveMapper.getWmsAcqGoodsMoveUp(param);
    }
}
