package com.emato.cus.supervise.service.wms.impl;

import com.emato.cus.supervise.domain.WmsAcqInventoryInfo;
import com.emato.cus.supervise.mapper.WmsAcqInventoryInfoMapper;
import com.emato.cus.supervise.service.wms.WmsAcqInventoryInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * @author zengjunlin
 * @version 1.0
 * 2018-02-02 09:30
 */
@Service
public class WmsAcqInventoryInfoServiceImpl implements WmsAcqInventoryInfoService{

    @Autowired
    private WmsAcqInventoryInfoMapper wmsAcqInventoryInfoMapper;

    /**
     * 根据上次时间取企业库存信息
     *
     * @param param
     * @return
     */
    @Override
    @Transactional(value = "primaryTransactionManager")
    public List<WmsAcqInventoryInfo> getWmsAcqInventoryInfo(Map<String, Object> param) {
        return wmsAcqInventoryInfoMapper.getWmsAcqInventoryInfo(param);
    }

}
