-- 企业库存信息
	SELECT
			li.itemName AS goodsName,
			li.itemCode AS codeTs,
			i.unitDesc AS gUnit,
			SUM(li.onHandQty) AS gQty,
			CONCAT(i.itemSize,'-',i.itemColor,'-',i.itemStyle) as goodsModel
		FROM
			location_inventory li
		LEFT JOIN item i ON li.itemCode = i. CODE
		GROUP BY
		li.itemCode
-----------------企业货物上下架信息
-- 上架
SELECT
				rc.created AS shelfLoadTime,
				rc.itemCode AS skuNo,
				rc.itemCode AS codeTs,
				rc.itemCode AS goodsId,
				rc.quantity AS gQty,
				rc.toLocation AS seatNo,
				i.unitDesc AS gUnit,
				'I' AS shelfLoadType,
				i.`name` AS goodsName,
				CONCAT(
					i.itemSize,
					'-',
					i.itemColor,
					'-',
					i.itemStyle
				) AS goodsModel
			FROM
				receipt_container rc
			LEFT JOIN item i ON rc.itemcode = i. CODE
-- 下架
SELECT
	i.`name` AS goodsName,
	itemCode AS codeTs,
	itemCode AS skuNo,
	itemCode AS goodsId,
	quantity AS gQty,
	i.unitDesc AS gUnit,
	CONCAT(
		i.itemSize,
		'-',
		i.itemColor,
		'-',
		i.itemStyle
	) AS goodsModel,
	originalPickLoc AS seatNo,
	scd.created AS shelfLoadTime,
	'E' AS shelfLoadType
FROM
	Shipping_container_detail scd
LEFT JOIN item i ON scd.itemCode = i.`code`;